Returns the list of available action types for price adjustment rules (Multiply, Set).
Reference
GET https://YOUR-NETWORK-DOMAIN/rest-api/price-adjustment-rules/banner/action-types.do
Returns the list of available action types for price adjustment rules (Multiply, Set). The response is a JSON array of key-value objects with 'key' (enum name) and 'value' (display name).
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://YOUR-NETWORK-DOMAIN/rest-api/price-adjustment-rules/banner/action-types.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());